Page MenuHomePhabricator

In big edit conflicts it should be easier to select one side as base for all paragraphs
Closed, ResolvedPublic2 Estimated Story Points

Description

Mock

Acceptance Criteria

  • Add radio buttons to top 'heading area' with text "Select all"
  • Radio button size, text, padding match existing below
  • When one side is selected, all conflicts for that version are selected
  • If any selections exist from the opposite version when a side is selected, then they are deselected
  • If a version has been chosen in "select all" and then the user changes individual selections from the other version after, the "select all" radio buttons return to neutral/both are deselected

Note: this applies only to the version with JS

Previous discussion
From https://www.mediawiki.org/wiki/Topic:V41lh1en0ymcaqq2

[…]
Unfortunately, I had to manually check every single box to override bot changes, about 60 of them. This tool absolutely needs a checkbox at the top that allows an editor to apply all changes in the right-hand version. Trust editors not to abuse this.

This is not an isolated incident, it happens to me often, including when reverting vandalism. This time was very time-consuming though, so I took the trouble to file a report here. Hope this helps.

Note that this issue will be relieved by T245611: Investigation: Can we detect where exactly a conflict happened and auto-resolve?, it can be considered an alternative designs which achieves the same goal by simplifying the number of non-overlapping changes that need to be resolved.

Event Timeline

Restricted Application added a project: archived--TCB-Team. · View Herald TranscriptJul 29 2019, 11:05 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
JFG added a subscriber: JFG.Jul 29 2019, 10:24 PM
DannyS712 added a subscriber: DannyS712.EditedAug 1 2019, 4:28 AM

It should be fairly straightforward to create a user script for this - would that work?

That should do fine, but it would be nice to have a function in to select either side as a base...

Restricted Application added a project: User-DannyS712. · View Herald TranscriptSep 23 2019, 5:43 PM
DannyS712 moved this task from Unsorted to Next on the User-DannyS712 board.Oct 4 2019, 2:38 AM
thiemowmde removed DannyS712 as the assignee of this task.Jan 28 2020, 12:18 PM
thiemowmde added a subscriber: Hanna_Petruschat_WMDE.

This needs input from WMDE-Design. Such a pair (?) of "select all" buttons might break the existing workflow. It makes it easy to essentially revert the previous edit – something that's intentionally not easy in the current UX. The placement of these buttons, labels and so one needs to be carefully picked.

As of now we are not sure if this should be part of the "before default" feature set.

Restricted Application added a project: Design. · View Herald TranscriptJan 28 2020, 12:26 PM

This should be considered and tested so I'll put it to before default.

awight added a subscriber: awight.Feb 19 2020, 10:49 AM

We're discussing that the need for this feature demonstrates a problem with our workflow. If there's one side of the chunk with no changes, perhaps we should automatically select the version where a change was made. In this case, we probably shouldn't add a "choose all from one side" button. This question needs design. We may follow-up in an investigation ticket.

awight updated the task description. (Show Details)Mar 18 2020, 10:26 PM
ECohen_WMDE updated the task description. (Show Details)Apr 17 2020, 9:40 AM
Lena_WMDE set the point value for this task to 5.Apr 23 2020, 9:42 AM
ECohen_WMDE updated the task description. (Show Details)Apr 23 2020, 9:43 AM
Andrew-WMDE moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2020-05-13 board.

Change 597585 had a related patch set uploaded (by Andrew-WMDE; owner: Andrew-WMDE):
[mediawiki/extensions/TwoColConflict@master] [WIP] Add a "Select all" selector

https://gerrit.wikimedia.org/r/597585

Lena_WMDE changed the point value for this task from 5 to 2.May 27 2020, 8:06 AM

Change 597585 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Add a "Select all" selector

https://gerrit.wikimedia.org/r/597585

Change 598987 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/TwoColConflict@master] Add browser test for "Select all" selector

https://gerrit.wikimedia.org/r/598987

Change 598987 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Add browser test for "Select all" selector

https://gerrit.wikimedia.org/r/598987

Tooltip updates (from sprint review discussion)

  1. Add browser tooltip to each of the radio buttons under 'Select all.' For the yellow button, "Click to select all of the other version's revisions" For the blue button, "Click to select all of your version's revisions"
  1. All other radio buttons currently say, "Click to select this version." Change so that all yellow buttons say, "Click to select the other version" Change all blue buttons to say, "Click to select your version"
  1. After a radio button is selected, tooltip currently says, "Selected version." Change so that all yellow buttons say, "Other version is selected" and the blue button should say, "Your version is selected"
  1. Add browser tooltip to each of the radio buttons under 'Select all.' For the yellow button, "Click to select all of the other version's revisions" For the blue button, "Click to select all of your version's revisions"

I think, that for the above it would more correct to say Click to select all of the other's revision's versions and vice versa. Or any other ideas on that native speaker and English expert @awight? ;-)

Ah and also I guess that it makes sense to have a different title when one of the select all options is selected. Something along the lines of All of the other's revision's versions are selected?

Click to select all of the other revision's changes.
Click to select all of your revision's changes.

After selection -

All of the other revision's changes are selected.
All of your revision's changes are selected.

Change 604353 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/TwoColConflict@master] Set titles for side selection

https://gerrit.wikimedia.org/r/604353

I just came here to say, +1 to not putting the words "versions" and "revisions" next to one another <3

Change 604353 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Set titles for side selection

https://gerrit.wikimedia.org/r/604353

Lena_WMDE closed this task as Resolved.Jun 23 2020, 2:23 PM
Lena_WMDE moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2020-06-10 board.